更新于 2013-10-02 00:10:51 UEANER

简介

Linux 下 PAC Manager 可取代 SecureCRT 进行远程管理,开源免费,且可与 KeePassX 交互。

下载 PAC Manager

# wget http://softlayer-dal.dl.sourceforge.net/project/pacmanager/pac-4.0/pac-4.5.3.2-2.x86_64.rpm

安装 PAC Manager

# rpm -ivh pac-4.5.3.2-2.x86_64.rpm
error: Failed dependencies:
    ftp is needed by pac-4.5.3.2-2.x86_64
    perl(Crypt::CBC) is needed by pac-4.5.3.2-2.x86_64
    perl(Crypt::Rijndael) is needed by pac-4.5.3.2-2.x86_64
    perl(Digest::SHA) is needed by pac-4.5.3.2-2.x86_64
    perl(Expect) is needed by pac-4.5.3.2-2.x86_64
    perl(Gnome2::GConf) is needed by pac-4.5.3.2-2.x86_64
    perl(Gtk2) is needed by pac-4.5.3.2-2.x86_64
    perl(Gtk2::Ex::Simple::List) is needed by pac-4.5.3.2-2.x86_64
    perl(Gtk2::Ex::Simple::TiedCommon) is needed by pac-4.5.3.2-2.x86_64
    perl(Gtk2::GladeXML) is needed by pac-4.5.3.2-2.x86_64
    perl(Net::ARP) is needed by pac-4.5.3.2-2.x86_64
    perl(OSSP::uuid) is needed by pac-4.5.3.2-2.x86_64
    perl(YAML) is needed by pac-4.5.3.2-2.x86_64
    perl-Crypt-Blowfish is needed by pac-4.5.3.2-2.x86_64
    perl-Crypt-Rijndael is needed by pac-4.5.3.2-2.x86_64
    perl-IO-Stty is needed by pac-4.5.3.2-2.x86_64

解决依赖

安装 epel 源:

# rpm -Uvh http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm

安装依赖:

# yum install ftp perl-Crypt-Blowfish perl-Crypt-CBC perl-Crypt-Rijndael perl-Digest-SHA perl-Expect perl-Gtk2 perl-IO-Stty perl-Net-ARP perl-YAML perl-Cairo perl-Glib perl-IO-Tty perl-Pango uuid-perl

perl-Gnome2-GConf perl-Gtk2-Ex-Simple-List perl-Gtk2-GladeXML 这三个包不在源内,下载下来手工安装:

# wget http://apt.sw.be/redhat/el6/en/x86_64/rpmforge/RPMS/perl-Gnome2-GConf-1.044-1.el6.rf.x86_64.rpm
# wget http://li.nux.ro/download/nux/dextop/el6/i386/perl-Gtk2-Ex-Simple-List-0.50-13.el6.nux.noarch.rpm
# wget http://apt.sw.be/redhat/el6/en/x86_64/rpmforge/RPMS/perl-Gtk2-GladeXML-1.007-1.el6.rf.x86_64.rpm

# rpm -ivh perl-Gnome2-GConf-1.044-1.el6.rf.x86_64.rpm perl-Gtk2-Ex-Simple-List-0.50-13.el6.nux.noarch.rpm perl-Gtk2-GladeXML-1.007-1.el6.rf.x86_64.rpm

以上 PAC 的依赖问题解决,如有问题欢迎回复,安装 PAC:

# rpm -ivh pac-4.5.3.2-2.x86_64.rpm

使用 openSUSE 的同学可以查看 openSUSE 下安装 PAC Manager 进行远程管理.

转载请注明出处。
本文地址:http://blog.aboutc.net/linux/56/centos-installation-pac-manager-for-remote-management

评论:1

ueaner 2013-10-14 13:56:08
yum localinstall pac-4.5.3.2-2.x86_64.rpm
关闭高亮高亮 分享到新浪微博分享到新浪微博